Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002345Zandronum[All Projects] Suggestionpublic2015-07-12 15:122021-11-29 13:43
ReporterHypnotoad 
Assigned ToDrinkyBird 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target Version3.1Fixed in Version3.1 
Summary0002345: Callvote Nextmap
DescriptionThis would be enormously helpful for servers that have large maplists with sv_randommaprotation on. Often times the players want to skip a map, but don't want to go out of sequence of the randomly selected map-rotation (and are unaware what the next map in the sequence will be), or simply cannot agree which map to go to next meaning a vote to that map will not necessarily be successful even though they all definitely want to skip the map they are currently playing.
Attached Filespatch file icon 2345.patch [^] (16,892 bytes) 2021-11-02 22:25 [Show Content]
patch file icon 2345_v2.patch [^] (17,606 bytes) 2021-11-03 01:29 [Show Content]
patch file icon 2345_v3.patch [^] (17,569 bytes) 2021-11-03 01:30 [Show Content]

- Relationships
child of 0001420needs testingDusk Custom vote definitions, aka VOTEDEF 

-  Notes
User avatar (0012944)
Dusk (developer)
2015-07-15 15:00

Added in the votedef branch:http://bit.ly/1fJcyIy [^]
User avatar (0015058)
Konda (reporter)
2016-06-08 15:43

I tested this using WaTaKiD's windows build that was provided here:https://zandronum.com/tracker/view.php?id=1420#c12949 [^]

Couldn't test this offline, so I had to make a server using Doomseeker. It works fine if the server has no map rotation, but as soon as I try to host with a map rotation the server crashes right after startup:http://i.imgur.com/wWkl194.png [^]

If I keep the same host settings and change the executable to Zandronum 2.1.2, the server starts without crashing.
User avatar (0021817)
DrinkyBird (updater)
2021-11-02 22:25
edited on: 2021-11-03 00:27

Given that VOTEDEF won't be happening any time soon, since the source code is old and - most importantly - likely lost, I've implemented this using the existing vote system. An initial patch is attached, feedback appreciated before I turn this into an actual commit.

edit: I might have to change when the lump and map name is displayed in the vote message. G_GetExitMap behaves oddly clientside with map rotations as it always returns the next map defined in MAPINFO. If I remove the ( NETWORK_GetState( ) == NETSTATE_SERVER ) check in that function (as the client is aware of the map rotation in 3.1), it always returns the same map.

Also just realised that CALLVOTE_BeginVote doesn't check if G_GetExitMap and G_GetSecretExitMap returned NULL, so there's a possible bug...
Then again - this is already validated in callvote_CheckValidity - but I fixed it anyway.

User avatar (0021818)
DrinkyBird (updater)
2021-11-03 01:30
edited on: 2021-11-03 01:30

Decided to ditch the idea of showing the map lump and name in the vote message, due to its weirdness with rotations...

edit: and I accidentally left a debug print in...

User avatar (0021824)
DrinkyBird (updater)
2021-11-07 20:26

https://osdn.net/projects/zandronum/scm/hg/zandronum-stable/commits/a040fb4c3bf1dd475ca5310286903a8ff69af6f0 [^]

I've already tested it and everything seems to work fine, but I'm leaving this as needs testing for a bit just in case anyone else wants to have look.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: carpathia The Toxic Avenger Hypnotoad unknownna FTW395 agaures Marcaek JC Tenton Korshun djskaarj MaxRideWizardLord Monsterovich Konda Unknown kultasakaali EpicTyphlosion
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-07-12 15:12 Hypnotoad New Issue
2015-07-15 15:00 Dusk Note Added: 0012944
2015-07-15 15:00 Dusk Relationship added child of 0001420
2015-07-15 22:28 Dusk Assigned To => Dusk
2015-07-15 22:28 Dusk Status new => needs testing
2016-06-08 15:43 Konda Note Added: 0015058
2021-11-02 22:25 DrinkyBird Note Added: 0021817
2021-11-02 22:25 DrinkyBird File Added: 2345.patch
2021-11-02 22:25 DrinkyBird Assigned To Dusk =>
2021-11-02 22:26 DrinkyBird Status needs testing => needs review
2021-11-02 22:43 DrinkyBird Note Edited: 0021817 View Revisions
2021-11-02 22:47 DrinkyBird Note Edited: 0021817 View Revisions
2021-11-03 00:27 DrinkyBird Note Edited: 0021817 View Revisions
2021-11-03 01:29 DrinkyBird File Added: 2345_v2.patch
2021-11-03 01:30 DrinkyBird Note Added: 0021818
2021-11-03 01:30 DrinkyBird Note Edited: 0021818 View Revisions
2021-11-03 01:30 DrinkyBird File Added: 2345_v3.patch
2021-11-07 20:26 DrinkyBird Status needs review => needs testing
2021-11-07 20:26 DrinkyBird Fixed in Version => 3.1
2021-11-07 20:26 DrinkyBird Target Version => 3.1
2021-11-07 20:26 DrinkyBird Note Added: 0021824
2021-11-29 13:43 DrinkyBird Status needs testing => resolved
2021-11-29 13:43 DrinkyBird Resolution open => fixed
2021-11-29 13:43 DrinkyBird Assigned To => DrinkyBird






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker